/* Distributed under the OSI-approved BSD 3-Clause License.  See accompanying
   file Copyright.txt or https://cmake.org/licensing for details.  */
#ifndef cmGhsMulti7Generator_h
#define cmGhsMulti7Generator_h

#include "cmGlobalGhsMultiGenerator.h"

class cmGlobalGhsMulti7Generator : public cmGlobalGhsMultiGenerator
{
public:

  cmGlobalGhsMulti7Generator(cmake* cm);

  static cmGlobalGeneratorFactory* NewFactory()
  {
    return new cmGlobalGeneratorSimpleFactory<cmGlobalGhsMulti7Generator>();
  }

  /// @return the name of this generator.
  static std::string GetActualName() { return "Green Hills MULTI 7"; }

  /// Overloaded methods. @see cmGlobalGenerator::GetDocumentation()
  static void GetDocumentation(cmDocumentationEntry& entry);

private:

};

#endif
